(define (problem aip-teaching-problem)
  (:domain aip-teaching)

  (:objects
    student1 student2 student3 - student
    heuristics search_methods complexity - topic
  )

  (:init 
    (too-many-lessons-missed student3)
    (practical-level1-achieved student1 search_methods)
    (theoretical-level1-achieved student1 search_methods)
    (practical-level2-achieved student1 search_methods)
    (theoretical-level1-achieved student1 heuristics)
    (theoretical-level1-achieved student2 search_methods)
  )

  (:goal 
    (and 
      (exercise-solved student1 heuristics)
      (exercise-solved student2 heuristics)
      (exercise-solved student3 heuristics)
      (exercise-solved student1 search_methods)
      (exercise-solved student2 search_methods)
      (exercise-solved student3 search_methods)
      (exercise-solved student1 complexity)
      (exercise-solved student2 complexity)
      (exercise-solved student3 complexity)
    )
  )
)